body {
  margin: 0;
  padding: 0 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  font-family: Arial, sans-serif;
}

h1 {
  margin: 0;
  margin-top: 0.5rem;
  font-size: 3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
}

p {
  margin-bottom: 20px;
  max-width: 350px;
}

#svg-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  max-width: 100vw;
  max-height: 100vh;
  overflow: hidden;
  position: relative;
  padding: 0;
}

#loading-message {
  display: block;
  color: #FF6600;
  font-size: 1.5rem;
}

.svg-image {
  width: 100%;
  height: 100%;
  object-fit: contain;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-drag: none;
  -webkit-user-drag: none;
}

.location-pin {
  width: 50px;
  height: 50px;
  left: 50%;
  top: 50%;
  position: absolute;
  cursor: move;
  user-select: none;
  touch-action: none;
  transform: translate(-50%, -50%);
}

.share-button {
  width: 50px;
  height: 50px;
  cursor: pointer;
  transition: transform 0.2s ease;
  transform: scaleX(-1);
  margin-top: 0.5rem;
}
.share-button:hover {
  transform: scaleX(-1) scale(1.1);
}
.share-button:active {
  transform: scaleX(-1) scale(0.95);
}